<!doctype html>

<html>
  <head>
    <title>hook-modal test</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1.0, initial-scale=1, user-scalable=yes">
    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <link rel="import" href="../hook-picture.html">
    <link rel="import" href="../hook-picture-source.html">
  </head>
  <body>

    <test-fixture id="basic">
      <template>
        <hook-picture id="">
          <hook-picture-source srcset="" media="(max-width: 799px)" />
          <hook-picture-source srcset="https://baconmockup.com/800/600/" media="(min-width: 800px)" />
        </hook-picture>
      </template>
    </test-fixture>

    <script>
      suite('hook-picture', function() {

        test('instantiating the element works', function() {
          var element = fixture('basic');
          assert.equal(element.is, 'hook-modal');
        });

      });
    </script>
  </body>
</html>
